MapProperty (JavaFX 17)

Module javafx.base
Package javafx.beans.property

## Class MapProperty<K,​V>

- java.lang.Object
- - javafx.beans.binding.MapExpression<K,​V>
  - - javafx.beans.property.ReadOnlyMapProperty<K,​V>
    - - javafx.beans.property.MapProperty<K,​V>

- Type Parameters:
    `K` - the type of the key elements of the `Map`
    `V` - the type of the value elements of the `Map`
  All Implemented Interfaces:
    `Map<K,​V>`, `Observable`, `Property<ObservableMap<K,​V>>`, `ReadOnlyProperty<ObservableMap<K,​V>>`, `ObservableMapValue<K,​V>`, `ObservableObjectValue<ObservableMap<K,​V>>`, `ObservableValue<ObservableMap<K,​V>>`, `WritableMapValue<K,​V>`, `WritableObjectValue<ObservableMap<K,​V>>`, `WritableValue<ObservableMap<K,​V>>`, `ObservableMap<K,​V>`
  Direct Known Subclasses:
    `MapPropertyBase`

      public abstract class MapProperty<K,​V>
      extends ReadOnlyMapProperty<K,​V>
      implements Property<ObservableMap<K,​V>>, WritableMapValue<K,​V>

  This class provides a full implementation of a `Property` wrapping an `ObservableMap`. The value of a `MapProperty` can be get and set with `ObservableObjectValue.get()`, `ObservableValue.getValue()`, `WritableObjectValue.set(Object)`, and `WritableValue.setValue(javafx.collections.ObservableMap)`. A property can be bound and unbound unidirectional with `Property.bind(javafx.beans.value.ObservableValue)` and `Property.unbind()`. Bidirectional bindings can be created and removed with `Property.bindBidirectional(Property)` and `Property.unbindBidirectional(Property)`. The context of a `MapProperty` can be read with `ReadOnlyProperty.getBean()` and `ReadOnlyProperty.getName()`.
  Since:
    JavaFX 2.1
  See Also:
    `ObservableMap`, `ObservableMapValue`, `WritableMapValue`, `ReadOnlyMapProperty`, `Property`

- - ### Property Summary

    - ### Properties declared in class javafx.beans.binding.MapExpression

      `empty, size`

  - ### Nested Class Summary

    - ### Nested classes/interfaces declared in interface java.util.Map

      `Map.Entry<K extends Object,​V extends Object>`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MapProperty()` | Creates a default `MapProperty`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `toString()` | Returns a string representation of this `MapProperty` object.

    - ### Methods declared in class javafx.beans.property.ReadOnlyMapProperty

      `bindContent, bindContentBidirectional, hashCode, unbindContent, unbindContentBidirectional`

    - ### Methods declared in class javafx.beans.binding.MapExpression

      `asString, emptyProperty, getSize, isEqualTo, isNotEqualTo, isNotNull, isNull, mapExpression, sizeProperty, valueAt, valueAt`

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods declared in interface java.util.Map

      `clear, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, equals, forEach, get, getOrDefault, hashCode, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods declared in interface javafx.beans.Observable

      `addListener, removeListener`

    - ### Methods declared in interface javafx.collections.ObservableMap

      `addListener, removeListener`

    - ### Methods declared in interface javafx.beans.value.ObservableObjectValue

      `get`

    - ### Methods declared in interface javafx.beans.value.ObservableValue

      `addListener, getValue, removeListener`

    - ### Methods declared in interface javafx.beans.property.Property

      `bind, bindBidirectional, isBound, unbind, unbindBidirectional`

    - ### Methods declared in interface javafx.beans.property.ReadOnlyProperty

      `getBean, getName`

    - ### Methods declared in interface javafx.beans.value.WritableObjectValue

      `get, set`

    - ### Methods declared in interface javafx.beans.value.WritableValue

      `getValue, setValue`

- - ### Constructor Detail

    - #### MapProperty

          public MapProperty()

      Creates a default `MapProperty`.

  - ### Method Detail

    - #### toString

          public String toString()

      Returns a string representation of this `MapProperty` object.
      Overrides:
        `toString` in class `ReadOnlyMapProperty<K,​V>`
      Returns:
        a string representation of this `MapProperty` object.